
#appImgUpload{
    margin-bottom: 3px !important;
    margin-top: 3px;
}

.block-header .actions {
    top:30px !important;
}

.carousel-inner{
    width:100% !important;
}

#featured-app .sr-only{
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

#credit-box{
    font-size: 18px;
    padding: 7px 15px;
    border: 2px solid #c0c0c0;
    margin-right: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 280px;
}

#credit-available{
    font-weight: 500;
    font-size: 23px;
}

.tab-nav {
    margin-top: 50px !important;
    margin-bottom: 10px !important;
}
.tab-nav:not([data-tab-color])>li>a:after {
    height:0px !important;
}


#featured-app{
    width:100%;
    display:none;
}

#title-bar{
    height: 250px;
    background-color: #22274c;
    text-align: center;
    color: #fff;
    font-size: 60px;
    vertical-align: middle;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
}

#app-grid-wrapper{
    display:flex;
    justify-content: left;
}


#apps-grid{
    display:flex;
    flex-wrap: wrap;
    max-width:2500px;
}

.app-container {
    width: 25%;
    display: flex;
    justify-content: left;
    margin-left: 25px;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;
    min-width: 295px;
}

.app-tile{
    background-color: hsl(67deg 77% 49%);
    width:90%;
    height:135px;
    color:#22274c;
    font-weight:bold;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor:pointer;
    overflow:hidden;
    transition:background-color, 0.5s ease-in;
    border-radius:10px;
    position:relative;
}

.app-tile .fa-leaf{
    color: rgba(0, 128, 32, 0.63);
}

.app-tile:not(.not-app):hover{
    background-color: hsl(67deg 71% 43%); 
}


.app-tile.selected{
    background-color: #eeeded;
    color:#22274c;
    transition:background-color, 0.5s ease-in;
    position:relative;
}

.app-tile.selected .fa-leaf{
    color:yellowgreen;
}

.app-tile.selected:not(.not-app):hover{
    background-color: hsl(0deg 0% 81%);
}

.app-tile.legacy{
    background-color:#686868;
    color:#fff;
    transition:background-color, 0.5s ease-in;
    position:relative;
}

.app-tile.legacy .fa-leaf {
    color:yellowgreen;
}

.app-tile.legacy:not(.not-app):hover{
    background-color:#585858;

}


.app-img-inner{
    width: 4.5vw;
    height: 4.5vw;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 30px;
    background-color: rgba(255,255,255,0.45);
    border-radius: 10px;
}



.app-img{
    width:30%;
    text-align:center;
}

.app-img i{
    font-size:50px;
}

.app-desc{
    width:70%;
    text-align:left;
    padding: 15px;
}

.app-desc .category{
    font-size: 10px;
    text-transform: uppercase;
    font-weight: normal;
}

.app-desc .name{
    font-size: 21px;
    font-weight: 400;
}

.app-desc .description{
    font-size:10px;
    font-weight:normal;
    display:none;
}

.app-desc .price{
    font-weight: normal;
    font-style: italic;
}


.buy-btn{
    border: 2px solid #22274c;
    color: #22274c;
    width: 90px;
    text-align: center;
    margin-top: 7px;
    font-weight: 500;
    text-transform: uppercase;
    padding: 6px 12px;
    font-size: 11px;
    line-height: 1.42857143;
    transition: background-color linear 0.3s, color linear 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 33px;
    position:relative;
}


.buy-msg{
    width:100%; 
    height:100%;
    display:none;
    position:absolute;
    top:0;
    left:0;
    padding-top: 7px;
}

.buy-price{
    width:100%;
    height:100%;
    position:absolute;
    top:0;
    left:0;
    padding-top: 7px;
}

.remove-app{
    position: absolute;
    top: 15px;
    right: 20px;
    font-size:20px;
    display:none;
}

.selected-btn{
    border: 2px solid #22274c ;
    width: 90px;
    text-align: center;
    margin-top: 7px;
    font-weight: 500;
    text-transform: uppercase;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 33px;
    position:relative;
    display:none;
}

.legacy-btn{
    border: 2px solid #fff;
    width: 90px;
    text-align: center;
    margin-top: 7px;
    font-weight: 500;
    text-transform: uppercase;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 33px;
    position:relative;
}

.app-input{
    font-size:25px;
    margin-top:7px;
    display:flex;
    justify-content: flex-start;
    align-items: center;
}
.app-input input{
    width: 45px;
    height: 30px;
    border: 2px solid #22274c;
    margin-right: 13px;
    font-size: 16px;
    text-align: center;
    display: block;
    font-weight: 500;
}

.app-op-cost, .app-room-cost{
    font-size: 16px;
    margin-left: 40px;
    font-weight: 500;
    text-decoration: underline;
}


/* Stile Modale Singola App */

.single-app-overlay,.single-module-overlay{
    background-color: rgba(43,48,59,0.9);
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index: 101;
    display:none;
}

.single-app-modal,.single-module-modal{
    background-color: #fff;
    position: fixed;
    top: 15vh;
    width: 60%;
    height: 70vh;
    left: 20%;
    z-index: 102;
    display:none;
    overflow:auto;
}

#app-data-container{
    padding:35px;
}

#app-summary{
    display:flex;
    padding-bottom: 25px;
    border-bottom: 1px solid #edecec;
}

#app-summary-left{
    display:flex;
    align-items: center;
    justify-content: center;
    width:20%;
}

#app-summary-right{
    width:80%;
    padding-left: 20px;
}

#label-checkbox{
    margin-bottom: 15px;
}

#app-icon{
    background-color: #9dc450!important;
    width: 10vw;
    height: 10vw;
    color: #fff;
    font-size: 7vw;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    border-radius:20px;
}

.featured{
    position: absolute;
    top: 7px;
    left: 10px;
    color: white;
    font-size: 30px;
    cursor: pointer;
}


#summary-cat{
    text-transform: uppercase;
    font-size: 15px;
    font-weight: 100;
    letter-spacing: 3px;
    margin-bottom: 5px;
}

#summary-heading{
    width:100%;
    display:flex;
    justify-content: space-between;
    align-items:center;
}

#summary-name{
    font-size: 50px;
    line-height: 0.9;
}

#summary-price{
    margin-top: 10px;
    font-size: 25px;
    font-weight: 100;
}

.summary-btn{
    background-color: #9dc450;
    color: #fff;
    font-size: 23px;
    border: 3px solid #9dc450;
    cursor: pointer;
    transition: background-color linear 0.3s, color linear 0.3s;
    width: 9vw;
    text-align: center;
    position:relative;
    height: 60px;
}
.legacy-btn-gallery{
    background-color: #fff;
    color: #5E5E5E;
    border: 3px solid #5E5E5E;
    font-size: 23px;
    cursor: context-menu;
    transition: background-color linear 0.3s, color linear 0.3s;
    width: 9vw;
    text-align: center;
    position:relative;
    height: 60px;
}

.summary-btn.selected{
    background-color: #fff;
    color: #5E5E5E;
    border: 3px solid #5E5E5E;
}
.paidMonthly{
    font-size:12px;
}
#yearly-switch-wrapper{
    display: block;
    position: absolute;
    right: 40px;
}

#yearly-switch, #una-tantum-switch{
    display:flex;
    justify-content: flex-end;
}

.una-tantum-switch-label{
    width:100%;
    text-align:center;
    font-size: 13px;
}

.full-price{
    display:none;
}

.edit-app{
    font-size: 20px;
    position: absolute;
    right: 40px;
    color:#5E5E5E;
}

.yearly-switch-label{
    font-size: 13px;
    width: 80px;
    margin-left: 5px;
    text-align: right;
}

.selShow{
    position:absolute;
    width:100%;
    margin-top: 10px;
}

.selHidden{
    position:absolute;
    display:none;
    width:100%;
    margin-top: 10px;
}

#summary-desc{
    font-size: 20px;
    margin-top: 20px;
    font-weight: 100;
    width: 75%;
}

.app-tab-head{
    margin-top: 10px;
}

.app-tab-head > span{
    font-size: 15px;
    font-weight: bold;
    border-bottom: 3px solid #9dc450;
}

#app-screens-gallery{
    padding-top:20px;
    display:flex;
    flex-wrap: wrap;
}

#app-screens-gallery .screen-img{
    width:20%;
    margin:10px 2.5%; 
}

#app-screens-gallery .screen-img img{
    width:100%;
    cursor:pointer;
}

#long-desc-body{
    margin-top: 20px;
    font-size: 18px;
    font-weight: 100;
}
.review-container{
    padding: 25px 0px;
    border-bottom: 1px solid #edecec;
}

#app-reviews-header{
    margin-top:25px;
}

.review-header{
    position:relative;
}
.review-score .dot{
    cursor: auto;
}

.review-score .star{
    font-size:22px;
    color:#edecec;
}

.review-score .star.checked{
    color:#9dc450;
}
.review-title{
    font-weight:500;
    font-size:22px;
}

.review-date{
    font-size: 12px;
    font-style: italic;
    line-height: 10px;
}

.review-body{
    font-size: 18px;
    font-weight: 100;
}

.master-commands{
    position:absolute;
    right:0;
    top:0;
}

/* Stile Modale Singola Review */

svg.dot{
    fill: white;
    transition:fill linear 0.3s;
    cursor: pointer;
}

svg.dot.filled{
    fill: teal !important;
}



#app-review-container{
    width:100%;
    height:100%; 
    padding: 40px;
}

.review-header h3{
    font-size:40px;
    font-weight:100;
}

.review-header .review-app-name{
    font-weight: 400;
    font-style: italic;
} 

#review-score{
    padding: 30px 0;
}

#reviewTitle{
    font-size:16px;
}

#reviewBody{
    border: 1px solid #e0e0e0;
    height: auto;
    padding:10px;
    font-size:16px;
}

#app-review-container label{
    font-size:16px;
    font-weight: normal;
    color: teal;
}

#review-controls{
    display: flex;
    justify-content: flex-end;
}

.tab-nav li.active>a {
    color: #000;
}

.yt-embed-container{
    display:block;
    position:relative;
}

.yt-overlay{
    position:absolute;
    width:100%;
    height:100%;
    z-index:9999;
    clip-path: inset(0 0 0 0 round 10%);
    cursor:pointer;
}

.yt-embed{
    clip-path: inset(10px 10px 10px 10px round 20px);
}

.yt-modal-overlay{
    background-color: rgba(43,48,59,0.9);
    position:absolute;
    top:0;
    bottom:0;
    width:100%;
    height:100%;
    display:none;
    z-index: 99;
}
.yt-modal-container{
    position: absolute;
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    height: 50vh;
    top: 10vh;
    z-index: 99;
    display:none;
}


/* Smartphone */
@media (max-width:767px)
{

    section#content {
        padding:0 !important;
    }

    .container{
        padding-left:0;
        padding-right:0;
    }

    .block-header{
        display: none;
    }
    #title-bar {
        height:175px;
        margin-top: -35px;
        font-size:50px;
    }
    .app-container {
        width:100%;
    }
    .app-tile{
        height:20vh;
    }


    .app-img-inner {
        margin-left: 45px;
    }

    .app-img i{
        font-size: 60px;
    }
    
    .single-app-modal{
        width:90%;
        left:5%;
        right:5%;
        height:90vh;
        top:5vh;
    }

    #app-summary-left {
        width:100%;
        margin-bottom: 25px;
    }
    
    #app-summary-right{
        width:100%;
        padding-left:0;
    }

    #summary-cat{
        font-size:12px;
    }
    #app-icon {
        width: 25vw;
        height: 25vw;
        font-size: 10vw;
        border-radius: 13px;
    }

    .featured{
        font-size:15px;
    }

    #app-summary {
        flex-direction: column;
    }

    #summary-heading {
        flex-direction: column;
    }

    #summary-desc{
        width:100% !important;
    }
    
    #summary-heading {
        align-items: flex-start;
    }

    #summary-name {
        font-size: 36px;
        line-height: 1.2;
    }

    #summary-price{
        margin-top: 25px;
    }

    .legacy-btn-gallery {
        width: 72vw;
    }

    .yt-embed-container{
        width:100%;
    }

    .yt-embed-container iframe{
        width:100%;
    }
}

#written{
    margin-bottom: 10px;
}

.green-app{
    position: absolute;
    top: 0px;
    right: 20px;
    font-size:30px;
}

.ribbon {
    width: 150px;
    height: 150px;
    overflow: hidden;
    position: absolute;
}

.ribbon::before,
.ribbon::after {
    position: absolute;
    z-index: -1;
    content: '';
    display: block;
    border: 5px solid #2980b9;
}

.ribbon span {
    position: absolute;
    display: block;
    width: 160px;
    padding: 15px 0;
    box-shadow: 0 5px 10px rgba(0, 0, 0, .1);
    color: #fff;
    font: 700 18px/1 'Lato', sans-serif;
    text-shadow: 0 1px 1px rgba(0, 0, 0, .2);
    text-transform: uppercase;
    text-align: center;
}

/* top left*/
.ribbon-top-left {
    z-index: 2;
    margin-left: -10px;
    margin-bottom: 3px;
}

.ribbon-top-left::before,
.ribbon-top-left::after {
    border-top-color: transparent;
    border-left-color: transparent;
}

.ribbon-top-left::before {
    top: 0px;
    right: 37px;
}

.ribbon-top-left::after {
    bottom: 37px;
    left: 0px;
}

.ribbon-top-left span {
    right: 39px;
    top: 15px;
    transform: rotate(-45deg);
    position: relative;
}

@media (max-width: 900px) {
    .ribbon-top-left {
        display: none;
    }
} 

.square{
    width: 10vh;
    height: 10vh;
    margin-top: 25px;
    margin-left: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    color: #fff;
    font-size: 3vh;
    text-align: center;
    border-radius: 10px;
    /* background: radial-gradient(circle, rgba(157,196,80,1) 0%, rgba(186,215,129,1) 65%, rgba(239,249,220,1) 100%); */
    padding-top: 25%;
    font-weight: 500;
    /* box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset, rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px; */
          
}
.square>span {
    content: "\2192";
  }
/* .square:hover >span{
animation-duration: 2s;
animation-name: slidein;
animation-iteration-count: 1;
animation-direction: alternate;
}
@keyframes slidein {
    from {
        padding-left: 50px;
        font-size: 0px;
    }
    33%{
        font-size: 3vh;
    }
    66%{
        padding-right: 50px;
        font-size: 0px;
    }
    to {
        font-size: 3vh;
    }
  } */
  @media (max-width: 767px){
    .square {
        display: none;
    }
}